#
# spec file for package python-cppy
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-cppy
Version:        1.2.1
Release:        2.8
Summary:        C++ headers for C extension development
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/nucleic/cppy
Source:         https://files.pythonhosted.org/packages/source/c/cppy/cppy-%{version}.tar.gz
Source99:       python-cppy-rpmlintrc
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools >= 61.2}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module tomli}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
C++ headers for C extension development

%prep
%setup -q -n cppy-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/cppy
%{python_sitelib}/cppy-%{version}*-info

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Thu Jul 14 2022 Ben Greiner <code@bnavigator.de>
- Actually needs setuptools 61.2 now
* Thu Jul 14 2022 Ben Greiner <code@bnavigator.de>
- Update to 1.2.1
  * make the pyproject.toml fully PEP 621 compliant PR #19
* Mon Mar 28 2022 Ben Greiner <code@bnavigator.de>
- Fix version metadata (broke kiwisolver)
- Follow upstreams Python >= 3.7 restriction
* Sun Mar 27 2022 Dirk Müller <dmueller@suse.com>
- update to 1.2.0:
  - expose a build_ext subclass that can be re-used in other projects PR #16
  - use a PEP 517 compatible install procedure PR #16
  - do not access directly ob_type on PyObject use Py_TYPE
* Thu Apr  9 2020 pgajdos@suse.com
- initial version 1.1.0, required by python-enaml
